package com.docus.server.collect.user.mq;

import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author jiashi
 * 梅州中医医院 MQ 监听
 */
@Component
public class JmsIbmMqUserConsumer {
    @Resource(name = "userJmsMqCollectServiceImpl")
    private IUserMqCollectService userMqCollectService;

    /**
     * 订阅队列（注册人员）
     *
     * @param message 人员信息
     */
//    @JmsIbmListener(destination = "TJ_createPractitioner")
    public void addUser(String message) {
        userMqCollectService.addUser(message);
    }


    /**
     * 订阅队列（变更人员）
     *
     * @param message 人员信息
     */
//    @JmsIbmListener(destination = "TJ_updatePractitioner")
    public void updateUser(String message) {
        userMqCollectService.updateUser(message);
    }


}
